%define _unpackaged_files_terminate_build 1
%define pypi_name pathspec

%def_with check

Name: python3-module-%pypi_name
Version: 0.12.1
Release: alt1
Summary: Utility library for gitignore style pattern matching of file paths
License: MPL-2.0-no-copyleft-exception
Group: Development/Python
Url: https://pypi.org/project/pathspec/
VCS: https://github.com/cpburnz/python-pathspec.git

BuildArch: noarch

Source: %name-%version.tar
Source1: pyproject_deps.json

%pyproject_runtimedeps_metadata

BuildRequires(pre): rpm-build-pyproject

%pyproject_builddeps_build

%if_with check
%pyproject_builddeps_metadata
%endif

%description
%pypi_name is a utility library for pattern matching of file paths. So
far this only includes Git's wildmatch pattern matching which itself
is derived from Rsync's wildmatch. Git uses wildmatch for its
gitignore files.

%prep
%setup
%pyproject_deps_resync_build
%pyproject_deps_resync_metadata

%build
%pyproject_build

%install
%pyproject_install

%check
%pyproject_run_unittest -v

%files
%doc *.rst
%python3_sitelibdir/%pypi_name/
%python3_sitelibdir/%{pyproject_distinfo %pypi_name}/

%changelog
* Mon Mar 04 2024 Stanislav Levin <slev@altlinux.org> 0.12.1-alt1
- 0.11.2 -> 0.12.1.

* Mon Jul 31 2023 Stanislav Levin <slev@altlinux.org> 0.11.2-alt1
- 0.11.1 -> 0.11.2.

* Tue Apr 18 2023 Stanislav Levin <slev@altlinux.org> 0.11.1-alt1
- 0.11.0 -> 0.11.1.

* Wed Jan 25 2023 Stanislav Levin <slev@altlinux.org> 0.11.0-alt1
- 0.10.3 -> 0.11.0.

* Mon Dec 12 2022 Stanislav Levin <slev@altlinux.org> 0.10.3-alt1
- 0.10.2 -> 0.10.3.

* Fri Nov 18 2022 Stanislav Levin <slev@altlinux.org> 0.10.2-alt1
- 0.10.1 -> 0.10.2.

* Mon Sep 12 2022 Stanislav Levin <slev@altlinux.org> 0.10.1-alt1
- 0.9.0 -> 0.10.1.

* Tue Sep 07 2021 Stanislav Levin <slev@altlinux.org> 0.9.0-alt1
- 0.8.1 -> 0.9.0.

* Tue May 11 2021 Stanislav Levin <slev@altlinux.org> 0.8.1-alt1
- 0.8.0 -> 0.8.1.

* Mon Sep 14 2020 Stanislav Levin <slev@altlinux.org> 0.8.0-alt1
- 0.5.9 -> 0.8.0.

* Wed Sep 25 2019 Terechkov Evgenii <evg@altlinux.org> 0.5.9-alt1
- Initial build for ALT Linux Sisyphus
